# 32/64bit spec-file
#
# PCLinuxOS-FLV-Player         
# Created for PCLinuxOS 2010    
# by D.M-Wilhelm (leiche)      
# Sun Nov 07 2010              
# Email <meisssw01 at aol.com> 
# License GPL2                 
#
%define prefix /usr
%define name PCLinuxOS-FLV-Player
%define version 5.3
%define release %mkrel 1
%define url www.pclinuxos.com

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Play and convert FLV & MP4 Videos
Summary(de):	Spielt und konventiert FLV & MP4 Videos
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
BuildRequires:	parallel
Requires:	gtkdialog, yad, mplayer, bash, parallel
Requires: 	normalize, ffmpeg
Obsoletes:	%name < %version

%description
A Simple Player for your stored videos from youtube or 
other websites using flv type videos. With the converter 
you can convert the audio to mp3, wav, ogg, mpeg4 or wma. 
It is easy to use.

#german
%description -l de
FLV Player und Konverter dient zur einfachen Wiedergabe 
Ihrer gespeicherten Videos von YouTube oder ähnlichen 
Webseiten welche Videos im Dateiformat FLV zur Verfügung 
stellen. 
Mit dem Konverter lassen sich die Audiodateien ins 
mp3-, wav-, ogg-, wma- oder mpeg4-Format umwandeln.


#spain
%description -l es
Un Reproductor sencillo para los videos descargados de 
youtube y otros sitios que usan formatos flv/mp4. Con el 
convertidor puede cambiar el audio a mp3, wav, ogg, aac, 
flac o wma. Es facil de usar.

%prep

%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_bindir}
install -m 755 pclos-flv-main %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}/%{_datadir}/%{name}
install -m 644 pcloslogo.png %{buildroot}%{_datadir}/%{name}/pcloslogo.png
cp -a $RPM_BUILD_DIR/%{name}-%{version}/icons %{buildroot}%{_datadir}/%{name}/
install -m 755 xwinwrap settings help pclos-flv-main batch_convert edit_dialog %{buildroot}%{_datadir}/%{name}/
install -m 644 Version ChangeLog %{buildroot}%{_datadir}/%{name}/

#icons
mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
convert  $RPM_BUILD_DIR/%{name}-%{version}/icons/default_icons/flv-play.png -resize 16x16 %buildroot/%{_miconsdir}/pclos_flv_main.png
convert $RPM_BUILD_DIR/%{name}-%{version}/icons/default_icons/flv-play.png -resize 48x48 %buildroot/%{_liconsdir}/pclos_flv_main.png
mkdir -p %buildroot/%{_iconsdir}/hicolor/32x32/apps
convert $RPM_BUILD_DIR/%{name}-%{version}/icons/default_icons/flv-play.png -resize 32x32 %buildroot/%{_iconsdir}/hicolor/32x32/apps/pclos_flv_main.png

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/pclos-flv-main << EOF
# simple launcher for %{name}
#
%{_datadir}/%{name}/pclos-flv-main
exit 0
EOF
%__chmod 777 $RPM_BUILD_ROOT%{_bindir}/pclos-flv-main



#desktop starter
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclos-flvplayer.desktop << EOF
[Desktop Entry]
Name=PCLOS FLV/MP4 player
Name[de]=PCLOS FLV/MP4 Player
Comment=plays and convert flv & mp4 files
Comment[de]=spielt und konventiert FLV & MP4 Dateien
Exec=%{_bindir}/pclos-flv-main
Icon=%{_iconsdir}/hicolor/32x32/apps/pclos_flv_main.png
Terminal=false
Type=Application
Categories=Application;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Video;
Encoding=UTF-8
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,es,el}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/pclos-flv-main.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/pclos-flv-main-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/pclos-flv-main.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/pclos-flv-main-es_ES.po
msgfmt -o  %{buildroot}%{_datadir}/locale/el/LC_MESSAGES/pclos-flv-main.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/pclos-flv-main-el_EL.po


%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}


%files
%defattr(-,root,root)
%{_bindir}/pclos-flv-main
%{_datadir}/applications/pclos-flvplayer.desktop
%{_datadir}/%{name}/pcloslogo.png
%{_datadir}/%{name}/help
%{_datadir}/%{name}/xwinwrap
%{_datadir}/%{name}/settings
%{_datadir}/%{name}/batch_convert
%{_datadir}/%{name}/pclos-flv-main
%{_datadir}/%{name}/ChangeLog
%{_datadir}/%{name}/Version
%{_datadir}/%{name}/edit_dialog
%{_datadir}/%{name}/icons/*.png
%exclude %{_datadir}/%{name}/icons/default_icons
%{_miconsdir}/pclos_flv_main.png
%{_iconsdir}/hicolor/32x32/apps/pclos_flv_main.png
%{_liconsdir}/pclos_flv_main.png
%{_datadir}/locale/*/LC_MESSAGES/pclos-flv-main.mo
%doc copying readme

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu Mar 25 2016 daniel <meisssw01 at gmail.com> 5.3-1pclos2016
- add shuffle to xwinwrap play mode
- fix copyright

* Wed Mar 16 2016 daniel <meisssw01 at gmail.com> 5.2-1pclos2016
- add xwinwrap to play playlist movies as wallpaper

* Thu Jan 22 2015 daniel <meisssw01 at gmail.com> 5.1-1pclos2015
- changed normalize command in batch window
- add button to read current logfile in batch window
- edit convert command in batch window
- add function to open/hold latest source directory
- an another bug dedected, but no luck to solved yet,
  so do not use spaces in the folder name or path

* Thu Jan 01 2015 daniel <meisssw01 at gmail.com> 5.0-1pclos2015
- Bump version to 5.0
- as default, audio will add to batch as wav 
- removed wav output from batch list, to add normalizer
- add normalizer button on batch window for audio output
- Wavbreaker added to split wave files, is displayed only
  when wavbreaker is installed
- add function to display/hold latest output directory in 
  batch converter

* Tue Dec 23 2014 daniel <meisssw01 at gmail.com> 4.4-1free2014
- fix batch gui
- fix help gui

* Thu Nov 28 2013 daniel <meisssw01 at gmail.com> 4.3-1free2013
- added translations
- set mp3 128kb as default value

* Wed Nov 20 2013 daniel <meisssw01 at gmail.com> 4.2-1free2013
- Bump version to 4.2
- fix settings dialog, display current states
- added file name correction
- added reload function for current database
- added batch convert function
- added multiple function,
  now you can choose more as one file to remove from disk
  add to batch list, or add to playlist
- fix some bugs

* Sat Jun 08 2013 Texstar <texstar at gmail.com> 4.0-3pclos2013
- fix desktop file

* Mon Mar 18 2013 daniel <meisssw01 at gmail.com> 4.0-2leiche2013
- fix output messages for synaptic

* Sun Mar 10 2013 daniel <meisssw01 at gmail.com> 4.0-1leiche2013
- Bump version to 4.0
- add menubar
- add playlist mode and window tab
- play button, stop button, and check box to 
  play playlist in full screen mode, with no 
  video display, and in shuffle, and loop
- add in help window shortcuts for mplayer
- add simple mplayer configuration window
- add dialog to load a default directory
- add interface to sleeptimer, will only 
  display when sleeptimer is installed
- add hide browser by using a directory
  (request by agmg) 
- correction of Englisch description on GUI 
  by sling-shot   
- added Greek translation by agmg 
- added new icon theme for buttons, created by 
  agmg
- added Spanish translation by Crow  
  
* Tue Feb 19 2013 daniel <meisssw01 at gmail.com> 3.6-2leiche2013
- fix some bugs 

* Sat Feb 16 2013 daniel <meisssw01 at gmail.com> 3.6-1leiche2013
- add remove button
- clean scripts
- removed mediainfo button
- not longer you must choose file extension, detect now automatically

* Wed Nov 28 2012 daniel <meisssw01 at gmail.com> 3.5b4-1leiche2012
- not longer required only on ffmpeg
- moved movgrab from gui, it's not my conzept
- rewrite gui with current gtkdialog

* Mon Oct 01 2012 daniel <meisssw01 at gmail.com> 3.5b3-1leiche2012
- rebuild for latest gtkdialog
- changes some commands

* Mon Apr 30 2012 leiche <meisssw01 at gmail.com> 3.5b2-1leiche2012
- rewriting gui
- for a correctly work of movgrab, add requires for lattest movgrab
 
* Tue Apr 07 2012 leiche <meisssw01 at gmail.com> 3.5b1-1leiche2012
- fix converter display
- fix display name in mplayer
- add spain description
 
* Mon Apr 02 2012 leiche <meisssw01 at gmail.com> 3.5b-1leiche2012
- add movgrab

* Wed Feb 08 2012 leiche <meisssw01 at gmail.com> 3.4-1leiche2012
- add Spain language, translated by Crow

* Sun Oct 23 2011 leiche <meisssw01 at gmail.com> 3.3-3leiche2011
- rebuild for new ffmpeg

* Tue Sep 27 2011 leiche <meisssw01 at gmail.com> 3.3-2leiche2011
- rebuild for new mediainfo

* Sun Sep 18 2011 Neal <nealbrks0 at gmail dot com> 3.3-1pclos2011
- change dependencies

* Sun Sep 04 2011 Neal <nealbrks0 at gmail dot com> 3.3-1pclos2011
- build first package for PCLinuxOS 64-bit

* Fri Aug 26 2011 leiche <meisssw01 at aol.com> 3.3-1leiche2011
- add mediainfo button, to use only copy audio
- fix overwrite protection
- change some buttons name in german
- fix desktop file 

* Wed Aug 17 2011 leiche <meisssw01 at aol.com> 3.2-1leiche2011
- add new open button
- add flac 
- add more aac profile
- add samplerate 44.1, and 48 hz for wave, and flac

* Tue Aug 16 2011 leiche <meisssw01 at aol.com> 3.1-1leiche2011
- fix converter icon
- clean specfile

* Sat Aug 13 2011 leiche <meisssw01 at aol.com> 3.0-1leiche2011
- add list to main window
- fix player function
- add converter to main window
- add more vorbis profile

* Tue May 24 2011 leiche <meisssw01 at gmail.com> 2.1-1pclos2010
- remove grab 
- add support for mp4 

* Thu Nov 16 2010 leiche <meisssw01 at aol.com> 2.0-1pclos2010
- add grab watching youtube video

* Thu Nov 11 2010 leiche <meisssw01 at aol.com> 1.2-2pclos2010
- change automaticly file extension by saving

* Wed Nov 10 2010 leiche <meisssw01 at aol.com> 1.2-1pclos2010
- change icons, cleaned up scripts 
- preferences window redesigned
- cleaned up source archive

* Sun Nov 07 2010 leiche <meisssw01 at aol.com> 1.1-1pclos2010
- build stable version
- fix script for eyecandy 

* Sun Nov 07 2010 leiche <meisssw01 at aol.com> 1-3pclos2010
- add icons (created by Neal)

* Sun Nov 07 2010 leiche <meisssw01 at aol.com> 1-2pclos2010
- fix german (angel02_de), and english description (Neal)

* Sun Nov 07 2010 leiche <meisssw01 at aol.com> 1-1pclos2010
- create for PCLinuxOS
